package com.ruoyi.quote.domain;


import com.ruoyi.common.core.domain.BaseEntity;

public class MaterialDto extends BaseEntity {

    private String uid;                     //物料uid

    private String prodCategory;            //产品大类

    private String prodWorkshop;            //生产车间

    private String model;                   //型号

    private String specification;           //规格

    private String voltLevel;               //电压等级

    private String measureUnit;             //单位

    private double matCostPrice = 0;            //材料成本价格

    private double redBookPrice = 0;            //红本价格

    private double redBookCost = 0;             //红本成本

    private double rbFacPrice = 0;              //红本厂价

    private String manuCost;                //制造成本

    private String wdFSurcharge;            //盘具点数

    private Integer number = 1;

    public double getMatCostPrice() {
        return matCostPrice;
    }

    public void setMatCostPrice(double matCostPrice) {
        this.matCostPrice = matCostPrice;
    }

    public double getRedBookPrice() {
        return redBookPrice;
    }

    public void setRedBookPrice(double redBookPrice) {
        this.redBookPrice = redBookPrice;
    }

    public double getRedBookCost() {
        return redBookCost;
    }

    public void setRedBookCost(double redBookCost) {
        this.redBookCost = redBookCost;
    }

    public double getRbFacPrice() {
        return rbFacPrice;
    }

    public void setRbFacPrice(double rbFacPrice) {
        this.rbFacPrice = rbFacPrice;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getProdCategory() {
        return prodCategory;
    }

    public void setProdCategory(String prodCategory) {
        this.prodCategory = prodCategory;
    }

    public String getProdWorkshop() {
        return prodWorkshop;
    }

    public void setProdWorkshop(String prodWorkshop) {
        this.prodWorkshop = prodWorkshop;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public String getVoltLevel() {
        return voltLevel;
    }

    public void setVoltLevel(String voltLevel) {
        this.voltLevel = voltLevel;
    }

    public String getMeasureUnit() {
        return measureUnit;
    }

    public void setMeasureUnit(String measureUnit) {
        this.measureUnit = measureUnit;
    }



    public String getManuCost() {
        return manuCost;
    }

    public void setManuCost(String manuCost) {
        this.manuCost = manuCost;
    }

    public String getWdFSurcharge() {
        return wdFSurcharge;
    }

    public void setWdFSurcharge(String wdFSurcharge) {
        this.wdFSurcharge = wdFSurcharge;
    }
}
